<ion-header *ngIf="show">
  <ion-toolbar>
    <ion-title class="ion-text-center title" style="font-size: 18px">
      cruzine.cafe
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="show">
  <ion-grid class="ion-text-center">
    <ion-row>
      <ion-col>
        <ion-img
          [src]="product.image.path"
          [alt]="product.image.name"
        ></ion-img>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button
          (click)="addToCart()"
          color="success"
          size="small"
          expand="full"
          ><ion-icon
            name="add-circle-outline"
            style="margin-right: 5px"
          ></ion-icon
          ><ion-text style="font-weight: 900"> add to cart </ion-text>
        </ion-button>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-text style="font-weight: bold"
          ><span [textContent]="product.name"></span
        ></ion-text>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-text color="danger">
          <span
            style="font-size: 12px"
            [textContent]="'₱' + product.price"
          ></span>
        </ion-text>
      </ion-col>
    </ion-row>
    <ion-row style="margin-top: 5px">
      <ion-col>
        <span
          style="font-size: 15px"
          [textContent]="product.description"
        ></span>
      </ion-col>
    </ion-row>
    <ion-row class="ion-margin-bottom">
      <ion-col>
        <ion-button size="small" color="tertiary" (click)="copyLink()"
          ><ion-icon
            name="copy-outline"
            style="margin-right: 0.3rem"
          ></ion-icon>
          <ion-text style="text-transform: none; font-size: 10px"
            >copy link</ion-text
          >
        </ion-button>
        <ion-button
          size="small"
          color="primary"
          (click)="shareProduct()"
          *ngIf="isInMobile"
          ><ion-icon
            name="share-outline"
            style="margin-right: 0.3rem"
          ></ion-icon>
          <ion-text style="text-transform: none; font-size: 10px"
            >share</ion-text
          >
        </ion-button>
        <ion-button
          size="small"
          *ngIf="!isInMobile"
          href="https://www.facebook.com/sharer/sharer.php?u=https://cruzine.cafe"
          target="_blank"
        >
          <ion-icon slot="start" name="logo-facebook"></ion-icon>
          <ion-text style="text-transform: none; font-size: 10px"
            >share</ion-text
          >
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
